<?php ###################################################################################################
####### +---------------------------------------------------------------------------------------+ #######
####### |	statistiks/index.php																| #######
####### |																						| #######
####### |	Diese Datei ist Teil des B4YCounter v4.0.0											| #######
####### |	Name des Authors: Gnther Hrandl													| #######
####### |	zuletzt gendert: Jnner 2006														| #######
####### |	COPYRIGHT by Gnther Hrandl														| #######
####### |	Kontakt: webmaster@hoerandl.com														| #######
####### |	Homepage: http://www.hoerandl.com													| #######
####### +---------------------------------------------------------------------------------------+ #######
####### |	Dieses Script ist Freeware, solange die NUTZUNGSBEDINGUNGEN  eingehalten werden !!	| #######
####### |	Die Nutzungsbedingungen liegen dieser Datei als "nutzungsbedingung.txt" bei.		| #######
####### |	Sollte aus irgendwelchen Grnden auch immer diese nicht vorhanden sein, so kann 	| #######
####### |	man sie unter http://www.hoerandl.com nachlesen!									| #######
####### +---------------------------------------------------------------------------------------+ #######
###################################################################################################### ?>


<?php
#########################################################################################################
#######		Stopuhr     #################################################################################
#########################################################################################################
	if (isset($_REQUEST['b4yc_stopuhr'])) { $b4yc_stopuhr  = ($_REQUEST['b4yc_stopuhr']);   } else { $b4yc_stopuhr  = "off"; }
	// $b4yc_stopuhr = "on";	// Stopuhr on / off

	// Stopuhr starten
	if ($b4yc_stopuhr == "on")
	{
		function getmicrotime_start()
		{
			list($b4yc_usec, $b4yc_sec) = explode(" ",microtime()); 
			return ((float)$b4yc_usec + (float)$b4yc_sec);
		}
		$b4yc_time_start = getmicrotime_start();
		
		function getmicrotime()
		{
			global $b4yc_time_start;
			list($b4yc_usec, $b4yc_sec) = explode(" ",microtime()); 
			$b4yc_time_aktuell = ((float)$b4yc_usec + (float)$b4yc_sec);
			return number_format($b4yc_time_aktuell - $b4yc_time_start, 3, ".", ".");
		}
		$b4yc_timer_output = getmicrotime()." ... Start<br />";
	}


#########################################################################################################
# 001 #		Includes laden     ##########################################################################
#########################################################################################################
	require_once("../includes/config.inc.php");								// Konfigurationseinstellunen
	require_once("../includes/dbconnect.inc.php");							// mit Datenbank verbinden
	require_once("../languages/".$b4yc_language."/counter.lang.php");		// Sprachdatei fr die Counteransicht laden
	require_once("../languages/".$b4yc_language."/statistiks.lang.php");	// Sprachdatei fr die Statistik laden
	
	require_once("../includes/vars_show.inc.php");							// show-Variable
	require_once("../includes/vars_stats.inc.php");							// stats_Variable
	
	require_once("../includes/func_show.inc.php");							// show-Funktionen
	require_once("../includes/func_stats.inc.php");							// stats-Funktionen
			
	require_once("../includes/temp_stats.inc.php");							// stats-Templates

	// Stopuhr
	if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Includes laden<br />"; }


#########################################################################################################
# 002 #		Variable erstellen     ######################################################################
#########################################################################################################
	b4yc_make_outputvars();		// Ausgabevariable
	b4yc_make_configvars();		// Konfigurationsvariable

	// Stopuhr
	if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Variablen laden<br />"; }
	
		
#########################################################################################################
# 003 #		Ausgabe     #################################################################################
#########################################################################################################
	$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/index.tpl.php'));

	// Stopuhr
	if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Templatedatei laden<br />"; }

	
	#####################################################################################################
	#######		Header     ##############################################################################
	#####################################################################################################
		if (strpos($b4yc_resultat['content'],"__STATISTIKS_HEADER}")) // komisch ? aber mit {__STATISTIKS_HEADER} funktioniert es nicht!
		{
			$b4yc_resultat['content'] = str_replace("{__STATISTIKS_HEADER}",			b4yc_temp_statistiks_header(),				$b4yc_resultat['content']);
			// Stopuhr
			if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Header<br />"; }
		}
		
	#####################################################################################################
	#######		Men     ################################################################################
	#####################################################################################################
		if (strpos($b4yc_resultat['content'],"{__STATISTIKS_MENUE}"))
		{
			$b4yc_resultat['content'] = str_replace("{__STATISTIKS_MENUE}",				b4yc_temp_statistiks_select(),				$b4yc_resultat['content']);
			// Stopuhr
			if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Men<br />"; }
		}

	#####################################################################################################
	#######		Jahresstatistik     #####################################################################
	#####################################################################################################
		if (strpos($b4yc_resultat['content'],"{__STATISTIKS_YEAR}"))
		{
			if ($b4yc_show_stat_year=="yes")
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_YEAR}",					b4yc_temp_stats_year(),				$b4yc_resultat['content']);
			}
			else
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_YEAR}",					"",									$b4yc_resultat['content']);
			}
			// Stopuhr
			if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Jahresstatistik<br />"; }
		}

	#####################################################################################################
	#######		Monatsstatistik     #####################################################################
	#####################################################################################################
		if (strpos($b4yc_resultat['content'],"{__STATISTIKS_MONTH}"))
		{
			if ($b4yc_show_stat_month=="yes")
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_MONTH}",					b4yc_temp_stats_month(),			$b4yc_resultat['content']);
			}
			else
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_MONTH}",					"",									$b4yc_resultat['content']);
			}
			// Stopuhr
			if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Monatsstatistik<br />"; }
		}

	#####################################################################################################
	#######		Tagesstatistik - Heute     ##############################################################
	#####################################################################################################
		if (strpos($b4yc_resultat['content'],"{__STATISTIKS_TODAY}"))
		{
			if (($b4yc_show_stat_day=="yes") && ($b4yc_sel_month==$b4yc_monat))
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_TODAY}",					b4yc_temp_details_day('today'),		$b4yc_resultat['content']);
			}
			else
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_TODAY}",					"",									$b4yc_resultat['content']);
			}
			// Stopuhr
			if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Tagesstatistik Heute<br />"; }
		}	

	#####################################################################################################
	#######		Tagesstatistik - Gestern     ############################################################
	#####################################################################################################
		if (strpos($b4yc_resultat['content'],"{__STATISTIKS_YESTERDAY}"))
		{
			if (($b4yc_show_stat_day=="yes") && ($b4yc_sel_month==$b4yc_monat))
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_YESTERDAY}",				b4yc_temp_details_day('yesterday'),	$b4yc_resultat['content']);
			}
			else
			{
				$b4yc_resultat['content'] = str_replace("{__STATISTIKS_YESTERDAY}",				"",									$b4yc_resultat['content']);
			}
			// Stopuhr
			if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Tagesstatistik Gestern<br />"; }
		}
	
	#####################################################################################################
	#######		Footer     ##############################################################################
	#####################################################################################################
		if (strpos($b4yc_resultat['content'],"{__STATISTIKS_FOOTER}"))
		{
			$b4yc_resultat['content'] = str_replace("{__STATISTIKS_FOOTER}",			b4yc_temp_statistiks_footer(),				$b4yc_resultat['content']);
			// Stopuhr
			if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Footer<br />"; }
		}

	#####################################################################################################
	#######		Ausgabe     #############################################################################
	#####################################################################################################
		echo $b4yc_resultat['content'];
		if ($b4yc_stopuhr=="on") { $b4yc_timer_output .= getmicrotime()." ... Ausgabe<br />"; }
				

// Stopuhr
if ($b4yc_stopuhr=="on")
{
	$b4yc_timer_output .= getmicrotime()." ... Ende<br />";
	echo "<hr>".$b4yc_timer_output."<hr>";
}

?>